--Language Localization-----------------------------------------------------------------------------------------
----------------------------------------------------------------------------------------------------------------

--HIGHLIGHT_FONT_COLOR_CODE = "|cffffffff";
--RED_FONT_COLOR_CODE = "|cffff2020";
--NORMAL_FONT_COLOR_CODE = "|cffffd200";


CG_VERSION = "v3.5.2";

RaidTargetIcon1 = 8;
RaidTargetIcon2 = 7;
RaidTargetIcon3 = 6;

-- Colors
CSG_NML_TXT = "|cffffd200"
CSG_WHT_TXT = "|cffffffff"
CSG_GRY_TXT = "|cffC0C0C0"
CSG_DGY_TXT = "|cff585858"
CSG_RED_TXT = "|cffff2020"
CSG_GRN_TXT = "|cff20ff20"
CSG_YLW_TXT = "|cffffff00"
CSG_BLE_TXT = "|cff3366ff"

CSG_TITLE = "|cffffffffC|cffffd200ombat|cffffffffG|cffffd200izmo"..NORMAL_FONT_COLOR_CODE;
CSG_TITLE_ANCHOR = "|cffffffffC|cffffd200ombat|cffffffffG|cffffd200izmo"..NORMAL_FONT_COLOR_CODE;
CSG_TITLE_NOSPACE = "|cffffffffC|cffffd200ombat|cffffffffG|cffffd200izmo"..NORMAL_FONT_COLOR_CODE;
CSG_TITLE_TOOLTIP = "|cffffd200CombatSentryGizmo"..NORMAL_FONT_COLOR_CODE;
CSG_TITLE2_TOOLTIP = "|cffffd200SizeUpGizmo"..NORMAL_FONT_COLOR_CODE;
CSG_TITLE_TOOLTIP_TITLE = "|cffffffffL|cffC0C0C0ow|cffffffffW|cffC0C0C0arnings"..NORMAL_FONT_COLOR_CODE;
CSG_TITLE2_TOOLTIP_TITLE = "|cffffffffC|cffC0C0C0ombat|cffffffffS|cffC0C0C0entry|cffffffffG|cffC0C0C0izmo"..NORMAL_FONT_COLOR_CODE;
CSG_TITLE_CHAT = "|cffffff00CG: |cffffffff";

CSG_OPTIONSMENU_NOTES = "|cffffffffC|cffffd200ombat|cffffffffG|cffffd200izmo |cffffffffN|cffffd200otes\nVersion "..CG_VERSION.."\n\n\n|cffC0C0C0You can output sentry panel info by pressing |cffffffffAlt-Click|cffC0C0C0 which pastes sentry details into the chat editbox if it is open.\n\n\n|cffffffffRaid Target Icons|cffC0C0C0 You can quickly assign Raid Icons (If you are the party leader), by Shift-Click, Control-Click or Alt-Click your target.\n\n\n|cffffffffClick Sentry Targeting|cffC0C0C0 You can now click the entry in the sentry panel and it will target that unit.\n\n\n|cffffffffDetection Performance|cffC0C0C0 Be aware that having all the detection settings on may impact performance, particularly in arenas or battlegrounds where there is alot of player action.\n\n\n|cffffffffLite Modes|cffC0C0C0 Selecting either lite mode will show only minimal info but will help increase performance.";


--English--------------------------------------------------
-----------------------------------------------------------
		CSG_OPTION_ON_TOOLTIP = "|cffffffff"..CSG_TITLE_TOOLTIP_TITLE.." |cffffffffToggle\n|cffffd200When disabled, "..CSG_TITLE_TOOLTIP.." is off and will not function.";
		CSG_OPTION_DETECT_TOOLTIP = "|cffffffffEnemy Detection\n|cffffd200Toggles enemy player detection.\n\n|cffff2020NOTE: |cffffd200While you are in combat, it will NEVER change your selected target.";
		CSG_OPTION_CREATURES_TOOLTIP = "|cffffffffCreatures Detection\n|cffffd200Toggles hostile creatures detection.\n\n|cffff2020NOTE: |cffffd200While you are in combat, it will NEVER change your selected target.";
		CSG_OPTION_INFOTARGET_TOOLTIP = "|cffffffffFriend Detection\n|cffffd200Toggles friendly player detection.\n\n|cffff2020NOTE: |cffffd200While you are in combat, it will NEVER change your selected target.";
		CSG_OPTION_ANCHOR_TOOLTIP = "|cffffffffAnchor Toggle\n|cffffd200Toggles whether the "..CSG_TITLE_TOOLTIP.." Anchor stays on all the time, or only comes on when needed.  It is useful to turn it on when you are repositioning it.";
		CSG_OPTION_SUG_TOOLTIP = "|cffffffff"..CSG_TITLE2_TOOLTIP_TITLE.." |cffffffffToggle\n|cffffd200When disabled, "..CSG_TITLE2_TOOLTIP.." is off and will not function.";
		
		CSG_OPTION_MENU_TOOLTIP = "|cffffffffLowWarnings Options Menu\n|cffffd200Opens the LowWarnings Options Menu.\n\nClick to toggle and change options for Low Warnings.";
		CSG_OPTION_MENU2_TOOLTIP = "|cffffffffCombatGizmo Options Menu\n|cffffd200Opens the Main Options Menu.\n\nClick to toggle SizeUpGizmo, CombatSentryGizmo and general options.";
		
		CSG_MENU_AB_OCCUPIED = "When Occupied";
		CSG_MENU_AB_OCCUPIED_TOOLTIP = "The anchor bar will only show when\nthere are enemies visible on your list";
		CSG_MENU_AB_ALWAYS = "Always";
		CSG_MENU_AB_ALWAYS_TOOLTIP = "The anchor bar will ALWAYS be shown\n(good for when you want to reposition it)";
		CSG_MENU_AB_NEVER = "Never";
		CSG_MENU_AB_NEVER_TOOLTIP = "The anchor bar will NEVER be shown";

		CSG_MENU_SCALE = "Scale";
		CSG_MENU_SCALE_TOOLTIP = "|cffffffff"..CSG_MENU_SCALE.."\n|cffffd200Change the scale of the "..CSG_TITLE_TOOLTIP.." enemy list.";
		CSG_MENU_MAX_F = "Max Total Frames";
		CSG_MENU_MAX_F_TOOLTIP = "|cffffffff"..CSG_MENU_MAX_F.."\n|cffffd200Choose how many enemies you want to show up on your enemy list.";
		CSG_MENU_MAX_NA = "Max Non-Attackers";
		CSG_MENU_MAX_NA_TOOLTIP = "|cffffffff"..CSG_MENU_MAX_NA.."\n|cffffd200Choose how many non-attackers you want to show up on your enemy list.";
		CSG_MENU_MAX_A = "Max Attackers";
		CSG_MENU_MAX_A_TOOLTIP = "|cffffffff"..CSG_MENU_MAX_A.."\n|cffffd200Choose how many attackers you want to show up on your enemy list.";
		CSG_MENU_TIMEOUT_NA = "Non-Attacker Timeout";
		CSG_MENU_TIMEOUT_NA_TOOLTIP = "|cffffffff"..CSG_MENU_TIMEOUT_NA.."\n|cffffd200Choose how long before non-attackers timeout and dissapear from your list.";
		CSG_MENU_TIMEOUT_A = "Attacker Timeout";
		CSG_MENU_TIMEOUT_A_TOOLTIP = "|cffffffff"..CSG_MENU_TIMEOUT_A.."\n|cffffd200Choose how long before attackers timeout and dissapear from your list.";
		CSG_MENU_TIMEOUT_H = "Healer/Buffer Timeout";
		CSG_MENU_TIMEOUT_H_TOOLTIP = "|cffffffff"..CSG_MENU_TIMEOUT_H.."\n|cffffd200Choose how long before healers/buffers timeout and dissapear from your list.";
		CSG_MENU_SOUNDS_ALL = "Enable All Sounds";
		CSG_MENU_SOUNDS_ALL_TOOLTIP = "|cffffffff"..CSG_MENU_SOUNDS_ALL.."\n|cffffd200Enables all "..CSG_TITLE_TOOLTIP.." sounds.  Uncheck this to keep "..CSG_TITLE_TOOLTIP.." from playing sounds.";
	
		CSG_TEXT_WELCOME = "|cffffd200CombatGizmo "..CG_VERSION.." Loaded |cff20ff20(Use options panel)";
		CSG_TEXT_SLASHCOMMAND = "|cff20ff20/csg toggle|cffffd200 -Toggle CSG on/off \n|cff20ff20/csg enemy|cffffd200 -Toggle Enemy Detection \n|cff20ff20/csg creatures|cffffd200 -Toggle Creature Showing \n|cff20ff20/csg friend|cffffd200 -Toggle Friend Detection \n|cff20ff20/csg scale|cffffd200 -Set CSW scale between 0.5 to 2 \n|cff20ff20/csg anchor|cffffd200 -Toggle CSG anchor \n|cff20ff20/csg rti1 [0-8]|cffffd200 - Sets the RaidTargetIcon1 icons to use between 0 and 8 \n|cff20ff20/csg rti2 [0-8]|cffffd200 - Sets the RaidTargetIcon2 icons to use between 0 and 8 \n|cff20ff20/csg rti3 [0-8]|cffffd200 - Sets the RaidTargetIcon3 icons to use between 0 and 8";
		
		CSG_TEXT_ENEMYDETECTION_OFF = CSG_TITLE_CHAT.."Detecting Enemies is now: |cffff2020-OFF-";
		CSG_TEXT_ENEMYDETECTION_ON = CSG_TITLE_CHAT.."Detecting Enemies is now: |cff20ff20-ON-";
		CSG_TEXT_CREATURES_OFF = CSG_TITLE_CHAT.."Showing Creatures is now: |cffff2020-OFF-";
		CSG_TEXT_CREATURES_ON = CSG_TITLE_CHAT.."Showing Creatures is now: |cff20ff20-ON-";
		CSG_TEXT_CSG_OFF = CSG_TITLE_CHAT.."Is now: |cffff2020-OFF-";
		CSG_TEXT_CSG_ON = CSG_TITLE_CHAT.."Is now: |cff20ff20-ON-";
		CSG_TEXT_INFO_OFF = CSG_TITLE_CHAT.."Detecting Friends is now: |cffff2020-OFF-";
		CSG_TEXT_INFO_ON = CSG_TITLE_CHAT.."Detecting Friends is now: |cff20ff20-ON-";
		CSG_TEXT_ANCHOR_OFF = CSG_TITLE_CHAT.."Anchor is now set to: |cff20ff20-Occupied-";
		CSG_TEXT_ANCHOR_ON = CSG_TITLE_CHAT.."Anchor is now set to: |cff20ff20-Always-";
		CSG_TEXT_RR_OFF = CSG_TITLE_CHAT.."RangeRecolor is now set to: |cff20ff20-OFF-";
		CSG_TEXT_RR_ON = CSG_TITLE_CHAT.."RangeRecolor is now set to: |cff20ff20-ON-";
		CSG_TEXT_DPS_OFF = CSG_TITLE_CHAT.."DPS is now set to: |cff20ff20-OFF-";
		CSG_TEXT_DPS_ON = CSG_TITLE_CHAT.."DPS is now set to: |cff20ff20-ON-";
		CSG_TEXT_SUG_OFF = CSG_TITLE_CHAT.."SUG is now set to: |cff20ff20-OFF-";
		CSG_TEXT_SUG_ON = CSG_TITLE_CHAT.."SUG is now set to: |cff20ff20-ON-";

		CSG_L_YOU = "you";
		
		--CSG_DAM_HITBLOCK = "(.+) hits (.+) for (%d+). (.+) blocked";
		CSG_DAM_HIT = "(.+) hits (.+) for (%d+).+";
		CSG_DAM_CRIT = "(.+) crits (.+) for (%d+).+";

		CSG_SDAM_HIT = "(.+)'s (.+) hits (.+) for (%d+).+";
		CSG_SDAM_CRIT = "(.+)'s (.+) crits (.+) for (%d+).+";
		CSG_SDAM_BLOCK = "(.+)'s (.+) was blocked.";
		CSG_SDAM_BLOCKBY = "(.+)'s (.+) was blocked by (.+)%.+";
		CSG_SDAM_DEFLECT = "(.+)'s (.+) was deflected.";
		CSG_SDAM_DEFLECTBY = "(.+)'s (.+) was deflected by (.+)%.";
		CSG_SDAM_DODGE = "(.+)'s (.+) was dodged.";
		CSG_SDAM_DODGEBY = "(.+)'s (.+) was dodged by (.+)%.";
		CSG_SDAM_EVADE = "(.+)'s (.+) was evaded.";
		CSG_SDAM_EVADEBY = "(.+)'s (.+) was evaded by (.+)%.";
		CSG_SDAM_FAIL = "(.+)'s (.+) failed. You are immune.";
		CSG_SDAM_MISS = "(.+)'s (.+) misses you.";
		CSG_SDAM_PARRY = "You parry (.+)'s (.+)"; --??
		CSG_SDAM_RESIST = "(.+)'s (.+) was resisted.";
		CSG_SDAM_RESISTBY = "(.+)'s (.+) was resisted by (.+)%.";

		CSG_MISS_MISS = "(.+) misses (.+).";
		CSG_MISS_PARRY = "(.+) attacks. (.+) parr.+";
		CSG_MISS_EVADE = "(.+) attacks. (.+) evade.+";
		CSG_MISS_DODGE = "(.+) attacks. (.+) dodge.+";
		CSG_MISS_DEFLECT = "(.+) attacks. (.+) deflect.+";
		CSG_MISS_BLOCK = "(.+) attacks. (.+) block.+";
		CSG_MISS_ABSORB = "(.+) attacks. (.+) absorb";

		CSG_SPLL_HEALCRIT = "(.+)%'s (.+) critically heals (.+) for (%d+)%a.";
		CSG_SPLL_HEAL = "(.+)%'s (.+) heals (.+) for (%d+).";
		CSG_SPLL_CAST = "(.+) casts (.+) on (.+).";
		CSG_SPLL_CASTS = "(.+) casts (.+) on (.+)%'s ";
		CSG_SPLL_CASTS2 = "(.+) casts (.+).";
		CSG_SPLL_GAINS = "(.+) gains (.+).";
		CSG_SPLL_GAINS2 = "(.+) gains.+";
		CSG_SPLL_BPERFORM = "(.+) begins to perform (.+).";
		CSG_SPLL_BCAST = "(.+) begins to cast (.+).";

		CSG_DIES = "(.+) dies.";
		CSG_SLAINBY = "(.+) is slain by";
		
		--CG
		CSG_AUTOSHOT = " Auto Shot";
		CSG_SHOT = " Shot";
		CSG_SHOOT = " Shoot";

		CSG_MAGE = "Mage";
		CSG_WARLOCK = "Warlock";
		CSG_PRIEST = "Priest";
		CSG_DRUID = "Druid";
		CSG_SHAMAN = "Shaman";
		CSG_PALADIN = "Paladin";
		CSG_ROGUE = "Rogue";
		CSG_HUNTER = "Hunter";
		CSG_WARRIOR = "Warrior";
		CSG_UNKNOWN = "Unknown";
		
		
-- LowHealthWarning localization
--------------------------------------------------------------------------------

TNE_LowHealthSettings_Labels = {
  [1] = "LowWarnings",
  [2] = "",
}

TNE_LowHealthSettings_Buttons = {
  [1] = DEFAULTS,
  [2] = CANCEL,
  [3] = OKAY,
}

TNE_LowHealthSettings_Sliders = {
  ["Sound"] = {
    [1] = { "Health", "Activate heartbeat when health is below: %d%%", },
  },
  ["Health"] = {
    [1] = { "Health", "Health: %d%%", },
    [2] = { "Critical health", "Critical health: %d%%", },
  },
  ["Mana"] = {
    [1] = { "Mana", "Mana: %d%%", },
    [2] = { "Critical mana", "Critical mana: %d%%", },
  },
}

TNE_LowHealthSettings_CheckButtons = {
  ["General"] = {
    [1] = { "Enable Low Warnings", "Check to enable Low Warnings", },
    [2] = { "Large effects", "Check to enable large warning textures.", },
  },
  ["Sound"] = {
    [1] = { "Enable heartbeat effect", "Check to enable a heartbeat sound effect.", },
    [2] = { "Only in combat", "Check to play sounds when in combat only.", },
  },
  ["Health"] = {
    [1] = { "Enable health effect", "Check to enable the health warning effect.", },
    [2] = { "Only in combat", "Check to display health warning in combat only.", },
    [3] = { "Variable flash rate", "Check to smoothly increase or decrease flash rate instead of using the two thresholds. This will synchronize the flash with the heartbeat." },
    [4] = { "Emote when critical", "Check to automatically perform the /healme emote when your health is critical.", },
  },
  ["Mana"] = {
    [1] = { "Enable mana effect", "Check to enable the health warning effect.", },
    [2] = { "Only in combat", "Check to display mana warning in combat only.", },
    [3] = { "Variable flash rate", "Check to smoothly increase or decrease flash rate instead of using the two thresholds.", },
    [4] = { "Emote when critical", "Check to automatically perform the /oom emote when your mana is below critical.", },
  },
}
